#ifndef _TextFont_h
#define _TextFont_h

/*
** Copyright 1992 by Markku Savela and
**	Technical Research Centre of Finland
**
** The author maybe contacted via:
**
**    Mail:	Markku Savela
**		Technical Research Centre of Finland
**		Telecommunications Laboratory
**		Otakaari 7 B, P.O. Box 34
**		SF-02151 ESPOO
**		Finland
**
**    Phone:	+358 0 456 6509
**    Email:	savela@tel.vtt.fi
*/
#include <X11/Xew/TextP.h>

_XFUNCPROTOBEGIN
XFontStruct *XeFindFont
	(
#if NeedFunctionPrototypes
	 XeTextWidget,	/* Associated Text Widget */
	 char *,	/* Pointer to constant character set string */
	 int,		/* Logical Font Number (font set id) */
	 int,		/* Weigth (_NORMAL, _FAINT, _BOLD) */
	 int,		/* Posture (TRUE = Italized) */
	 int		/* Requested pixel height of the font */
#endif
	 );

int XeMakeFontList
	(
#if NeedFunctionPrototypes
	 char *,	/* Font List Specification */
	 int		/* Length of the Font List specification */
#endif
	 );
_XFUNCPROTOEND

#endif

