#ifndef Raster24to8_h
#define Raster24to8_h
/*
** Copyright 1992 by Markku Savela and
**	Technical Research Centre of Finland
**
** The author maybe contacted via:
**
**    Mail:	Markku Savela
**		Technical Research Centre of Finland
**		Telecommunications Laboratory
**		Otakaari 7 B, P.O. Box 34
**		SF-02151 ESPOO
**		Finland
**
**    Phone:	+358 0 456 6509
**    Email:	savela@tel.vtt.fi
*/

int Conv24to8
	(
#if NeedFunctionPrototypes
	 unsigned char *,/* 24bit RGB image to be converted */
	 int,		/* Width of the image in pixels */
	 int,		/* Height of the image in pixels */
	 int,		/* Number of wanted colors */
	 unsigned char *,/* 8bit pseudocolor image */
	 unsigned char *,/* RED component colormap */
	 unsigned char *,/* GREEN component colormap */
	 unsigned char *,/* BLUE component colormap */
	 int		/* Algorithm selector */
#endif
	 );
#endif

